/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    ATOME : FORM
    Styles des éléments d'un formulaire
*/

/*
    00 - GÉNÉRAL
            Gravity Form
            Gravity Form - Erreurs
            Search & Filter
    01 - RECHERCHE (Widget - Header)
*/



/* -----------------
    00 - GÉNÉRAL
----------------- */

label,
select,
textarea,
input {
    font-family: var(--ff-primary);
    font-size: 1.6rem;
}

label {
    display: block;
    margin-bottom: 0.75rem;
}

select,
textarea,
input,
.woocommerce form .form-row .input-text,
.woocommerce form .form-row select {
    background-color: var(--white);
    border: 1px solid var(--c-secondary);
    outline: none;
    padding: 15px 27px;
    width: 100%;
    transition: border-color 0.3s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    border-radius: 30px ;
    font-size: 1.6rem;
}

/* Focus */
select:focus,
textarea:focus,
input:focus {
    border: 1px solid var(--c-primary);
}

/* Disabled */
select:disabled,
textarea:disabled,
input:disabled {
    border: 1px solid var(--c-primary);
}

/* Enlève l'icône flèche par défaut d'un select */
select {
    appearance: none;
    background-image: url('/wp-content/themes/frennly/img/charte/arrow.svg');
    background-position: center right 22px;
    background-size: auto 8px;
    background-repeat: no-repeat;
}

/* Bouton dropdown du select */
select::-ms-expand {
    display: none;
}

select option {
    padding: 10px;
}


/* Checkbox et Radios */
input[type="radio"] {
    margin: 2px 6px 0 0;
    width: 18px;
    height: 18px;
    min-width: 18px;
    padding: 0;
    display: inline-block;
    vertical-align: middle;
    background-color: var(--white);
    border: 1px solid var(--c-secondary);
    border-radius: 50%;
}

input[type="radio"]:checked {
    background: radial-gradient(circle, var(--c-primary) 0 28%, white 17% 100%);
}

input[type="checkbox"] {
    padding: 0;
    display: none;
}

/* Placeholder */
input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    color: var(--c-secondary);
}

input::-moz-placeholder,
textarea::-moz-placeholder {
    color: var(--c-secondary);
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
    color: var(--c-secondary);
}

input:-moz-placeholder,
textarea:-moz-placeholder {
    color: var(--c-secondary);
}

input:focus::-webkit-input-placeholder,
textarea:focus::-webkit-input-placeholder {
    color: var(--c-secondary);
}

input:focus::-moz-placeholder,
textarea:focus::-moz-placeholder {
    ccolor: var(--c-secondary);
}

input:focus:-ms-input-placeholder,
textarea:focus:-ms-input-placeholder {
    color: var(--c-secondary);
}

input:focus:-moz-placeholder,
textarea:focus:-moz-placeholder {
    color: var(--c-secondary);
}

/* -----------------
    00 - GÉNÉRAL
        Gravity Form - Disposition
----------------- */
.gform_wrapper .gform_fields {
    display: -ms-grid;
    display: grid;
    grid-column-gap: 2%;
    grid-row-gap: 3rem;
    -ms-grid-columns: 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr 2% 1fr;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(auto-fill, auto);
    width: 100%;
}

.gform_wrapper .gfield {
    grid-column: 1/-1;
    min-width: 0;
}

.gform_wrapper .gfield.gfield--width-full {
    -ms-grid-column-span: 12;
    grid-column: span 12;
}

.gform_wrapper .gfield.gfield--width-eleven-twelfths {
    -ms-grid-column-span: 11;
    grid-column: span 11;
}

.gform_wrapper .gfield.gfield--width-five-sixths {
    grid-column: span 10;
    -ms-grid-column-span: 10;
}

.gform_wrapper .gfield.gfield--width-three-quarter {
    -ms-grid-column-span: 9;
    grid-column: span 9;
}

.gform_wrapper .gfield.gfield--width-two-thirds {
    -ms-grid-column-span: 8;
    grid-column: span 8;
}

.gform_wrapper .gfield.gfield--width-seven-twelfths {
    -ms-grid-column-span: 7;
    grid-column: span 7;
}

.gform_wrapper .gfield.gfield--width-half {
    -ms-grid-column-span: 6;
    grid-column: span 6;
}

@media (max-width: 480px) {
    .gform_wrapper .gfield.gfield--width-half {
        -ms-grid-column-span: 12;
        grid-column: span 12;
    }
}

.gform_wrapper .gfield.gfield--width-five-twelfths {
    -ms-grid-column-span: 5;
    grid-column: span 5;
}

.gform_wrapper .gfield.gfield--width-third {
    -ms-grid-column-span: 4;
    grid-column: span 4;
}

.gform_wrapper .gfield.gfield--width-quarter {
    -ms-grid-column-span: 3;
    grid-column: span 3;
}

.gform_wrapper .gfield.gfield--width-one-sixth {
    -ms-grid-column-span: 2;
    grid-column: span 2;
}

.gform_wrapper .gfield.gfield--width-one-twelfth {
    -ms-grid-column-span: 1;
    grid-column: span 1;
}

.gform-footer {
    margin-top: 2.5rem;
}

/* Css spécifique à la page contact */
.page-id-320 #gform_wrapper_5 {
    max-width: 680px;
    margin: 0 auto;
}

/* -----------------
    00 - GÉNÉRAL
        Gravity Form
----------------- */

.gform_title {
    text-align: center;
}
.gfield_required_text {
    color: #f74242;
}
/* Label masqué depuis le BO */
.hidden_label .gfield_label {
    display: none;
}

/* "*" indique les champs nécessaires */
.gform_required_legend {
    display: none;
}

.gfield_required {
    margin-left: 5px;
    color: var(--red);
    font-size: 1.3rem;
    vertical-align: middle;
}

/* @changelog 2024-01-29 [EVOL] (Nicolas) Marge entre les lignes du formulaire */
.gform_fields>* {
    margin-bottom: 15px;
}

/* Input */
div.gfmc-field div:not(.gchoice) {
    padding-bottom: 0;
}

/* Radio & Checkbox */
.gfield--type-radio legend,
.gfield--type-checkbox legend {
    margin-bottom: 0.75rem;
}

.gfield_radio label {
    margin-bottom: 0;
}
.gfield_radio .gchoice {
    margin-bottom: 0.75rem;
}
.ginput_container_radio .gfield_radio .gchoice .gfield-choice-input {
    padding: 0;
}
.ginput_container_radio .gfield_radio .gchoice .gfield-choice-input:checked {
    background: radial-gradient(circle, var(--c-primary) 0 28%, white 17% 100%);
}

.gchoice {
    display: flex;
    align-items: center;
}

/* Dépot de fichier */
input[type="file"] {
    border: none;
    
    padding: 0;
}

input[type="file"]::-webkit-file-upload-button {
    margin-right: 5px;
    height: 100%;
    padding: 12px 10px;
}

/* Dépot de fichiers */
.gform_drop_area {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 1px dashed var(--c-quaternary);
    margin-bottom: 6px;
    padding: 26px 0;
}

.gform_drop_instructions {
    margin-bottom: 10px;
}

.ginput_container_fileupload {
    background: var(--c-quaternary);
    padding: 20px;
    border-radius: 20px;
}

.gfield_description,
.gform_fileupload_rules {
    display: block;
    color: var(--c-secondary);
    font-size: 1.4rem;
    width: 100%;
    margin-top: 6px;
}

.gform_fileupload_multifile+.gform_fileupload_rules {
    text-align: center;
}

/* Nom du fichier joint */
.ginput_preview_list {
    order: 3;
}

.ginput_preview_list .ginput_preview {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 10px;
}

.ginput_preview_list .ginput_preview>span:not(:first-child) {
    margin-left: 5px;
}

/* Poids */
.gfield_fileupload_filesize {
    margin-right: 5px;
}

.gfield_fileupload_filesize::before {
    content: "- ";
}

/* Pourcentage */
.gfield_fileupload_progress {
    display: none;
}

/* HTML */
.gfield--type-html {
    color: var(--c-secondary);
    font-size: 1.2rem;
    margin-bottom: 8px;
}

/* RGPD */
.gfield--type-consent {
    margin-bottom: -2rem;
}

.gfield--type-consent legend {
    display: none;
}

.gfield--type-consent .ginput_container_consent {
    display: flex;
    align-items: flex-start;
}

.gfield--type-consent .ginput_container_consent input {
    margin-top: 1px;
}

.gfield--type-consent .ginput_container_consent label {
    color: var(--c-secondary);
    font-size: 1.4rem;
    margin-bottom: 0;
}

.gfield--type-consent+.gfield--type-html a {
    text-decoration: underline;
    text-underline-offset: 2px;
}

.gfield--type-hcaptcha label {
    display: none;
}

/* Bouton d'envoi */
.gform_button {
    width: auto;
}

.gfield::before {
    display: none;
}


/* -----------------------------
    00 - GÉNÉRAL
        Gravity Form - Erreurs
----------------------------- */

.gform_submission_error {
    color: var(--red);
    text-align: center;
    margin-bottom: 4.5rem;
    font-size: 1.8rem;
    padding: 25px;
    background: #fff1f1;
    border-radius: 20px;
    border: 1px solid #ffe1e1;
}
.gfield_error {
    display: flex;
    flex-wrap: wrap;
}

.gfield_error>label {
    order: 1;
}

.gfield_error>.gfield_validation_message:not(:empty) {
    display: inline-block;
    color: var(--red);
    margin-left: auto;
}

.gfield input[aria-invalid="true"] {
    border: 1px solid var(--red);
}

.gfield_error>.ginput_container {
    order: 3;
    width: 100%;
}

.gfield_error>.gfield_description {
    order: 3;
}


/* -------------------------
    00 - GÉNÉRAL
        Search & Filter
------------------------- */

.searchandfilter ul {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

@media (min-width: 992px) {
    .searchandfilter ul {
        flex-direction: row;
        align-items: center;
    }
}

.searchandfilter ul li {
    padding: 0;
    width: calc(100% / (12 / 6) - 5px);
}

@media (min-width: 992px) {
    .searchandfilter ul li {
        width: calc(100% / (12 / 3) - 10px);
    }
}

/* Before */
.searchandfilter ul li::before {
    content: none;
}

/* Surcharge des frères de li */
.searchandfilter ul li+li {
    margin-top: 0;
}

.searchandfilter ul li label {
    width: 100%;
}

/* Select */
[data-sf-field-input-type*="select"]>label::before {
    content: "\e91b";
    pointer-events: none;
    position: absolute;
    right: 13px;
    top: 50%;
    color: var(--c-tertiary);
    font-family: 'icomoon';
    font-size: 1rem;
    transform: translateY(-50%);
}

.sf-input-select {
    background-image: none;
    color: var(--c-tertiary);
    font-weight: 700;
    border: 1px solid var(--c-quaternary);
    border-radius: 4px;
    outline: none;
    padding: 10px 14px;
    width: 100%;
}



/* ---------------------------------
    01 - RECHERCHE (Widget - Header)
--------------------------------- */

.searchform {
    position: absolute;
    background: white;
    padding: 12px;
    border-radius: 50px;
    top: 80px;
    min-width: 260px;
    right: 0;
    box-shadow: 0px 7px 18px rgb(189 220 137 / 38%);
    -webkit-box-shadow: 0px 7px 18px rgb(189 220 137 / 38%);
    -moz-box-shadow: 0px 7px 18px rgb(189 220 137 / 38%);
    transform: translateY(-50%);
    transition: ease all 0.3s;
    opacity: 0;
    visibility: hidden;
}

.search-worker #search-toggler.active + .searchform {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}

.searchform input {
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 1.5;
    padding: 10px 14px;
    max-height: 40px;
}

.search-submit {
    cursor: pointer;
    position: absolute;
    top: 50%;
    right: 4px;
    background-color: var(--c-quaternary);
    color: var(--white);
    border: none;
    font-size: 1.7rem;
    line-height: 1;
    padding: 8px;
    transform: translateY(-50%);
}

.gform_confirmation_message {
    text-align: center;
    font-size: 2.5rem;
    display: grid;
    align-items: center;
    max-width: 620px;
    margin: 0 auto;
}